NAME="git"
DESC="Free and open source, distributed version control system"
VERSION="2.44.0"

FILES=("https://www.kernel.org/pub/software/scm/git/git-${VERSION}.tar.xz")
HASHES=("7e4eb7c45e9ba7c90fa51deeea49732f")

DEPENDS=(
  "curl" "expat" "grep"
  "shadow" "zlib" "pcre2"
)
BUILD=("xmlto" "asciidoc" "python3")

PACKAGE() {
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr                 \
            --with-gitconfig=/etc/gitconfig \
            --with-python=python3 
  make
  make man

  make DESTDIR="${ROOTDIR}" perllibdir="/usr/lib/perl5/5.38/site_perl" install
  make DESTDIR="${ROOTDIR}" install-man

  cd .. && rm -rf "${NAME}-${VERSION}"
}
